PowerPoint7ParserInternal::SlideInfo Struct Reference

Internal: the basic information about a slide/notes/... zone in a PowerPoint7Parser. More...

## Public Member Functions
| SlideInfo ()
| constructor

## Public Attributes
MWAWBox2i | m_box
| the bdbox
bool | m_displayMaster
| a flag to know if we need to display the master slide graphic
bool | m_hasBackground
| a flag to know if the slide has some background or no background

## Detailed Description

Internal: the basic information about a slide/notes/... zone in a PowerPoint7Parser.

## Constructor & Destructor Documentation

## ◆ SlideInfo()

PowerPoint7ParserInternal::SlideInfo::SlideInfo | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_box

MWAWBox2i PowerPoint7ParserInternal::SlideInfo::m_box

the bdbox

Referenced by PowerPoint7Parser::readSlideInformation(), and SlideInfo().

## ◆ m_displayMaster

bool PowerPoint7ParserInternal::SlideInfo::m_displayMaster

a flag to know if we need to display the master slide graphic

Referenced by PowerPoint7Parser::readSlideInformation(), and SlideInfo().

## ◆ m_hasBackground

bool PowerPoint7ParserInternal::SlideInfo::m_hasBackground

a flag to know if the slide has some background or no background

Referenced by PowerPoint7Parser::readSlideInformation(), and SlideInfo().

The documentation for this struct was generated from the following file:

- PowerPoint7Parser.cxx